%% crane_only1: Test Link 3 (and 2)
q = [0 -90 90]*pi/180
F_boom = 1e6
save ../Simulations/crane_only1 q1 q2 q3

%% crane_only2: Test Link 2 (and 3)
q = [0 0 80]*pi/180
F_boom = 1e6
save ../Simulations/crane_only2 q1 q2 q3

%% crane_only3: Test Link 1. Numerical problems?
q = [0 0 0]*pi/180

Theta = [pi/2 0 0]. i.e. 90 deg roll
F_boom = 1e6
save ../Simulations/crane_only3 q1 q2 q3

%% crane_only4: Test Link 1
q = [0 -80 10]*pi/180
F_boom = 1e6
Roll 45 deg
save ../Simulations/crane_only4 q1 q2 q3

%% crane_only5: Test Link 1
q = [0 0 0]*pi/180
F_boom = 100e3
Roll 45 deg
save ../Simulations/crane_only5 q1 q2 q3

%% cranehydr1: Test piston limits without load for J2. Full valve opening.
q = [0 50 -140]*pi/180
save ../Simulations/crane_hydr1 time q1 q2 q3 x_v NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower

%% cranehydr2: Test piston limits without load for J3. Full valve opening.
q = [0 50 -140]*pi/180
save ../Simulations/crane_hydr2 time q1 q2 q3 x_v NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower

%% cranehydr3: Show model load limits with given set1 of q. Ramp up LoadForce until pressures saturate
q = [0 50 -140]*pi/180
Slope = 5e3*9.81
Slope start time = 3 s
Simtime = 40 s
save ../Simulations/crane_hydr3 time q1 q2 q3 NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower ACT2Torque ACT3Torque SumT2 SumT3 LoadForce

%% cranehydr4: Show model load limits with given set1 of q. Ramp up LoadForce until pressures saturate
q = [0 10 -25]*pi/180
Slope = 5e3*9.81
Slope start time = 3 s
Simtime = 10 s
save ../Simulations/crane_hydr4 time q1 q2 q3 NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower ACT2Torque ACT3Torque SumT2 SumT3 LoadForce

%% cranehydr5: Test piston limits leakage and 25 t load for J2. Full valve opening.
q = [0 50 -140]*pi/180
Leakage: 1% in both cylinders, i.e. \alpha = .99
save ../Simulations/crane_hydr5 time q1 q2 q3 x_v NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower

%% winch1: Run winch without load model. Check that the speed controller works. Full speed both ways.
Initial value: Cable on winch = 1200
F_boom = 100e3*g
save ../Simulations/winch1 time wd wm T_cmd Speed_d HC_d CT_d LoadForce Lc

%% winch2: Run winch without load model. Check that the speed controller works. Full speed both ways.
Initial value: Cable on winch = 1200
F_boom = 200e3*g
save ../Simulations/winch2 time wd wm T_cmd Speed_d HC_d CT_d LoadForce Lc

%% winch3: Check the disc brake. Brake on. Brak off. Full speed down. Brake on.
Initial value: Cable on winch = 1200
F_boom = 100e3*g
save ../Simulations/winch3 time wd wm T_cmd Speed_d HC_d CT_d LoadForce Lc BrakeON


%% winchload1: Lift and land the load from a steady deck/crane. Use CT
Initial value: Cable on winch = ca 1490 m
M_l = 100e3;
z_b = 15
z_d = 3
H_l = 2
F_d = .4
cabledia = 42 mm
L_ondrum = 1455
save ../Simulations/winchload1 time z_l z_b z_d Lc DAF MBL LoadForce Elong T_cmd wd wm CT_d Speed_d

%% winchload2: Lift the load from a moving deck/crane and through the wave zone. Use CT. Turn on HC.
Adeck = .6
Fdeck = .6
Awave = .7
Fwave = .5
M_l = 100e3;
H_l = 5.0 -> rho_l = 1.5*rho_w
z_b = 15
z_d = 3
F_d = .4
cabledia = 42 mm
L_ondrum = 1458
save ../Simulations/winchload2 time z_l z_b z_d Lc DAF MBL LoadForce F_h F_c Elong T_cmd wd wm CT_d HC_d Speed_d 


%% winchload3: With the load submerged, turn on HC after 20 sec and evaluate HC performance
Aboom = .6
Fboom = .6
Awave = .7
Fwave = .5
M_l = 100e3;
H_l = 5.0 -> rho_l = 1.5*rho_w
cabledia = 42 mm
L_ondrum= 1000
Simulating for 1000 s: Steady state DAF = 1(+-)1.4e-3, Amplitude z_l = 11.8 mm. dampingratio= 98%
save ../Simulations/winchload3 time z_l z_b z_d Lc DAF MBL LoadForce F_h F_c Elong T_cmd wd wm CT_d HC_d Speed_d 


%% winchload4: With the load on a surface deeply submerged. Start CT with HC and lift the load.
Aboom = .6
Fboom = .6
Awave = .7
Fwave = .5
M_l = 100e3;
H_l = 5.0 -> rho_l = 1.5*rho_w
cabledia = 42 mm
L_ondrum = 1000
z_d = -455
F_d = .2
save ../Simulations/winchload4 time z_l z_b z_d Lc DAF MBL LoadForce F_h F_c Elong T_cmd wd wm CT_d HC_d Speed_d 

%% winchload5: Initialisation with load in the air
M_l = 100e3;
z_b = 15
% H_l = 2
cabledia = 42 mm
L_ondrum = 1455
Disc brake ON
save ../Simulations/winchload5 time z_l z_b z_d Lc DAF MBL LoadForce Elong T_cmd wd wm CT_d Speed_d

%% simulator1: Load on deck. Lift the load by luffing J2. Land it. Steady deck/crane.
M_l = 25 t
H_l = 3.14 m -> rho_l = 1.5*rho_w
q = [0 40 -130]
L_ondrum = 1455
z_d = 3
F_d = .8?
Cable diameter 22 mm

save ../Simulations/simulator1 time q1 q2 q3 NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ...
    ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower ACT2Torque ACT3Torque SumT2 SumT3 LoadForce ...
    z_l z_b z_d Lc DAF MBL LoadForce F_h F_c Elong T_cmd wd wm CT_d HC_d Speed_d 

%% simulator2: Initialisation with load in air. Steady deck/crane.
M_l = 25 t
H_l = 3.14 m -> rho_l = 1.5*rho_w
q = [0 40 -130]
L_ondrum = 1455
% z_d = 3
Cable diameter 22 mm

save ../Simulations/simulator2 time q1 q2 q3 NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ...
    ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower ACT2Torque ACT3Torque SumT2 SumT3 LoadForce ...
    z_l z_b z_d Lc DAF MBL LoadForce F_h F_c Elong T_cmd wd wm CT_d HC_d Speed_d 

%% simulator3: Initialisation with load in water. Steady deck/crane.
M_l = 25 t
H_l = 3.14 m -> rho_l = 1.5*rho_w
q = [0 40 -130]
L_ondrum = 1256
z_d = 3
Cable diameter 22 mm

save ../Simulations/simulator3 time q1 q2 q3 NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ...
    ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower ACT2Torque ACT3Torque SumT2 SumT3 LoadForce ...
    z_l z_b z_d Lc DAF MBL LoadForce F_h F_c Elong T_cmd wd wm CT_d HC_d Speed_d 

%% vessel1: Waves. Lift the load from the seabed into HC.
M_l = 25 t
H_l = 3.14 m -> rho_l = 1.5*rho_w
q = [0 40 -130]
L_ondrum = 1256
z_d = 3
Cable diameter 22 mm
JONSWAP, H_s = 2, w_p = .6

save ../Simulations/vessel1 time q1 q2 q3 NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ...
    ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower ACT2Torque ACT3Torque SumT2 SumT3 LoadForce ...
    z_l z_b z_d Lc DAF MBL LoadForce F_h F_c Elong T_cmd wd wm CT_d HC_d Speed_d VesselDown

%% vessel2: Waves. Lift the load from the seabed into HC. Torque command
%% saturates
M_l = 25 t
H_l = 3.14 m -> rho_l = 1.5*rho_w
q = [0 40 -130]
L_ondrum = 1256
z_d = 3
Cable diameter 22 mm
JONSWAP, H_s = 3, w_p = .6

save ../Simulations/vessel2 time q1 q2 q3 NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ...
    ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower ACT2Torque ACT3Torque SumT2 SumT3 LoadForce ...
    z_l z_b z_d Lc DAF MBL LoadForce F_h F_c Elong T_cmd wd wm CT_d HC_d Speed_d VesselDown

%% Benchmark
Show DAF, NormPistonJ2, z_l
save ../Simulations/benchmark time q1 q2 q3 NormPistonJ2 NormPistonJ3 PistonJ2 PistonJ3 ...
    ACT2PUpper ACT2PLower ACT3PUpper ACT3PLower ACT2Torque ACT3Torque SumT2 SumT3 LoadForce ...
    z_l z_b z_d Lc DAF MBL LoadForce F_h F_c Elong T_cmd wd wm CT_d HC_d Speed_d 
