function [A_c, D_c, rho_c,E, zeta_c, C_tc, MBL_c] = cable(diameter)
% This function returns a set of parameters for a cable of a given
% diameter.
% 
% Input
% diameter - cable diameter [mm]
% 
% Output
% 

switch diameter
    case '16'
        A_c = 121e-6; % Crossectional area.  
        D_c = 16e-3; % Cable diameter
        rho_c = 1.12; % Weight kg/m
        MBL_c = 186e3; % Minimum breaking load [N]
    case '22'
        A_c = 228e-6; % Crossectional area.  
        D_c = 22e-3; % Cable diameter
        rho_c = 2.11; % Weight kg/m
        MBL_c = 351e3; % Minimum breaking load [N]
    case '32'
        A_c = 482e-6; % Crossectional area.  
        D_c = 32e-3; % Cable diameter
        rho_c = 4.45; % Weight kg/m
        MBL_c = 7.42e5; % Minimum breaking load [N]
	case '42' % M_l = 2.3e5, V_l = 16, L_c = 1.5e3
        A_c = 831e-6; % Crossectional area.  
        D_c = 42e-3; % Cable diameter
        rho_c = 7.65; % Weight kg/m
        MBL_c = 1.279e6; % Minimum breaking load [N]
    case '48' % M_l = 2.3e5, V_l = 16, L_c = 1.5e3
        A_c = 1086e-6; % Crossectional area.  
        D_c = 48e-3; % Cable diameter
        rho_c = 9.99; % Weight kg/m
        MBL_c = 1.67e6; % Minimum breaking load [N]
    case '56' % M_l = 2.3e5, V_l = 16, L_c = 1.5e3
        A_c = 1478e-6; % Crossectional area.  
        D_c = 56e-3; % Cable diameter
        rho_c = 13.6; % Weight kg/m
        MBL_c = 2.274e6; % Minimum breaking load [N]
    otherwise
        disp('error in the cable function: wrong input')
        disp('Entering debug mode')
        keyboard;
end


E = 74e9;
% zeta_c = .5; % Relative damping
zeta_c = .05; % Relative damping
C_tc = 0;