function plotter(subplots,plots)
% Function for making subplots
% 
% subplots is a cell array of structs with the data relevant for a single subplot
%   vary - struct of plot data
%   axis
%   ylabel
%   title
% plots is a struct containing data relevant for the whole plot
% time - time vector for all plots
% y - number of plots in vertical direction
% x - number of plots in horizontal direction
% filename

% struct('vary',[], 'legend',{}, 'axis',[], 'ylabel','', 'title','')
% struct('time',, 'y',, 'x',,'filename','')
%%
figure()
linetype = {'-k','--k',':k','-.k'};

for j = 1:plots.y*plots.x
    subplot(plots.y,plots.x,j)
    numsignals = size(subplots{j}.vary);
    numsignals = numsignals(2);
    for i = 1:numsignals
        plot(plots.time, subplots{j}.vary(1:end,i), linetype{i});
        hold on;
    end
    if numsignals > 1 && ~isempty(subplots{j}.legend)
        k = strfind(subplots{j}.legend,'&');
        k = [0 k length(subplots{j}.legend)+1];
        for i = 1:length(k)-1
            leg{i} = subplots{j}.legend(k(i)+1:k(i+1)-1);
        end
        legend(leg);
    end
    hold off
    if ~isempty(subplots{j}.axis)
        axis(subplots{j}.axis)
    end
    if ~isempty(subplots{j}.ylabel)
        ylabel(subplots{j}.ylabel)
    end
    if j >=plots.x*(plots.y-1)+1 % Put xlabel on the lowermost subplots
        xlabel('time [s]');
    end
    if ~isempty(subplots{j}.title)
        title(subplots{j}.title)
    end
end

% if ~isempty (plots.filename)
%     hgexport(gcf, ['..\plots\', plots.filename, '.eps']);
% disp('Figure saved');
% %     close;
% end