% Parameters for the environment model

% Loads the fixed parameters

%% Cable properties
dia = 42;
ParF_ENVIRONMENT_CableDiameter = dia/1000;
[A_c, D_c, rho_c, E_c, zeta_c, C_tc, MBL_c] = cable(num2str(dia));

ParF_ENVIRONMENT_CableCrossectionArea = A_c;
ParF_ENVIRONMENT_CableDiameter = D_c;
ParF_ENVIRONMENT_CableSpecificMass = rho_c;
ParF_ENVIRONMENT_CableModOfElasticity = E_c;
ParF_ENVIRONMENT_CableRelativeInternalDamping = zeta_c;
ParF_ENVIRONMENT_CableMBL = MBL_c; % Minmum Breaking load
% L = 155;
% L*(50e3+.5*rho_c*L-1025*10.4340)*g/(E_c*A_c)
clear A_c D_c rho_c E_c zeta_c C_tc MBL_c; % Cable parameters
%% Load properties
% ParF_ENVIRONMENT_LoadMass = 5e3; % From Hana/Hgeland
% ParF_ENVIRONMENT_LoadHeight = 3;
% ParF_ENVIRONMENT_LoadLength = 1.88;
% ParF_ENVIRONMENT_LoadBreadth = 1.85;
ParF_ENVIRONMENT_LoadMass = 25e3; %4*V_l*ParC_DensityOfWater;
% ParF_ENVIRONMENT_LoadHeight = 2;
ParF_ENVIRONMENT_LoadHeight = (6*ParF_ENVIRONMENT_LoadMass/(1.5*1025*pi))^(1/3);
ParF_ENVIRONMENT_LoadLength = 1.88;
ParF_ENVIRONMENT_LoadBreadth = 1.85;
% geom = 'box';
geom = 'sphere';
[C_a, C_s, V_sub, A_l, V_l, b1, b2] = load_geometry(geom, ParF_ENVIRONMENT_LoadHeight, ParF_ENVIRONMENT_LoadLength, ParF_ENVIRONMENT_LoadBreadth);
ParF_ENVIRONMENT_AddedmassLUT = C_a; % LUT - Lookup table
ParF_ENVIRONMENT_SlammingLUT = C_s;
ParF_ENVIRONMENT_SubmergedVolumeLUT = V_sub;
ParF_ENVIRONMENT_LoadProjectedArea = A_l;
ParF_ENVIRONMENT_LoadVolume = V_l;
ParF_ENVIRONMENT_LoadLinearHydrodynDamping = b1;
ParF_ENVIRONMENT_LoadQuadraticHydrodynDamping = b2;

clear C_a C_s V_sub A_l V_l b1 b2;

%% Normal force parameters
% kpN = 800*ParF_ENVIRONMENT_LoadMass;
% kdN = 950*sqrt(kpN);
% kaN = 0;
% kiN = 0;
% ParF_ENVIRONMENT_NParams = [kpN kdN kaN kiN];
% k = ParF_ENVIRONMENT_NParams/ParF_ENVIRONMENT_LoadMass;
% ParF_ENVIRONMENT_epsN = .001;
% lambdamin = -.5*(k(2)+sqrt(k(2)^2 - 4*k(1)));

clear kpN kdN kaN kiN k lambdamin