function F = Fcyl(L, link_length, m, beta, gamma)
% L - ParF_ACT2_LinkCylinderGeometry
% link_length - length of the second link, link2_length
% m - design load mass
% beta - angle between the links in deg
% gamma - angle between the first link and the vertical
% 
% return - the static force required from the piston to hold the boom
% steady with the given load mass and configuration.

F1 = m*9.81*cosd(90-beta+gamma);

a = L(1);
b = L(2);

% Rule of cosine
c = sqrt(a^2+b^2-2*a*b*cosd(beta));

tmp = c;
c = a;
a = tmp;

% Rearranging rule of cosine
alpha = acosd((a^2+b^2-c^2)/(2*a*b));

% Fc = F1*(1+r1/r2)/(sin(alfa*pi/180))

F = F1*(1+(link_length-L(2))/L(2))/(sind(alpha));