function [rodLength, cylStroke, Pmax, Pmin] = compCylinder(L, q, buf)
% Using the generalized Pythagoras to compute the min and max length of the
% cylinder for the given min and max joint angle in raidans. Returns the
% rod length and cylinder stroke.
% [ParF_ACT2_CylinderRodLength, ParF_ACT2_CylinderStroke] =
% compCylinder(ParF_ACT2_LinkCylinderGeometry, [qmin, qmax])


cylLengths = sqrt(L(1)^2+L(2)^2-2*L(1)*L(2)*cosd(q));
Pmax = max(cylLengths);
Pmin = min(cylLengths);

rodLength = Pmin-buf;

cylStroke = Pmax-Pmin+2*buf;
