%ThetaInit = findDrumInitAngle(L,Rc,dw,NF)
%L - desired length on winch drum
%Rc - winch drum chore radius
%dw - wire diamater
%NF - Number of whole wire revs pr drum width
%
%Function estimates the initial drum angle (given in radians) to sattisfy cable length on drum


function ThetaInit = findDrumInitAngle(L,Rc,dw,NF)

f = @(Theta)floor(Theta/(2*pi*NF))*NF*2*pi*Rc+floor(Theta/(2*pi*NF))*(floor(Theta/(2*pi*NF))-1)*NF*pi*dw+(Theta-floor(Theta/(2*pi*NF))*NF*2*pi)*(Rc+floor(Theta/(2*pi*NF))*dw)-L;
llim = 0;
ulim = 10000;
finding = 0;
test=1;
    while(finding~=1)
        [ThetaInit,FVAL,EXITFLAG] = fzero(f,[llim ulim]);
        if(EXITFLAG==1)
            finding=1;
        else
            if(test==4)
                disp('Cable length too long or no solution');
                return
            end
            llim = ulim;
            ulim = ulim*2;
            test=test+1;
        end
    end

end
